### Method

# Gdk Toplevel focus

#### Declaration [src]

    void
    gdk_toplevel_focus (
      GdkToplevel* toplevel,
      guint32 timestamp
    )

#### Description [src]

Sets keyboard focus to `surface`.

In most cases, Gtk.Window.present_with_time should be used on a Gtk.Window, rather than calling this function.

#### Parameters

`timestamp` | `guint32`
| Timestamp of the event triggering the surface focus.